summaryrefslogtreecommitdiffstats
path: root/basic/runtests.orig
diff options
context:
space:
mode:
authorSteve Dickson <steved@redhat.com>2009-02-22 14:43:02 -0500
committerSteve Dickson <steved@redhat.com>2009-02-22 14:43:02 -0500
commit43d64aa2dabf5029aac3e503a875a3cda6c5d253 (patch)
tree34b0d7d90205ca9f6a26c319638d80d44ee03bd7 /basic/runtests.orig
downloadcthon04-43d64aa2dabf5029aac3e503a875a3cda6c5d253.tar.gz
cthon04-43d64aa2dabf5029aac3e503a875a3cda6c5d253.tar.xz
cthon04-43d64aa2dabf5029aac3e503a875a3cda6c5d253.zip
Inital Commit
Diffstat (limited to 'basic/runtests.orig')
-rwxr-xr-xbasic/runtests.orig82
1 files changed, 82 insertions, 0 deletions
diff --git a/basic/runtests.orig b/basic/runtests.orig
new file mode 100755
index 0000000..32e1d85
--- /dev/null
+++ b/basic/runtests.orig
@@ -0,0 +1,82 @@
+:
+#!/bin/sh
+#
+# @(#)runtests 1.3 00/07/10 Connectathon Testsuite
+#
+
+InitFile="../tests.init"
+
+if test $# -ge 1
+then
+ TESTARG=$1
+else
+ . $InitFile
+fi
+
+echo "Starting BASIC tests: test directory $NFSTESTDIR (arg: $TESTARG)"
+mkdir $NFSTESTDIR
+if test ! -d $NFSTESTDIR
+then
+ echo "Can't make directory $NFSTESTDIR"
+ exit 1
+fi
+
+set -e
+
+# File and Directory tree creation test
+echo ""
+./test1 $TESTARG
+
+# File and Directory tree removal test
+echo ""
+./test2 $TESTARG
+
+# Lookup across mount point
+echo ""
+./test3 $TESTARG
+
+# Setattr, getattr and lookup tests
+echo ""
+./test4 $TESTARG
+# Getattr and lookup tests
+# echo ""
+# ./test4a $TESTARG
+
+# Write and read tests
+echo ""
+./test5 $TESTARG
+# Test 5a and 5b separate out the read and write tests into simpler components.
+# echo ""
+# ./test5a $TESTARG
+# echo ""
+# ./test5b $TESTARG
+
+# Read Directory test
+echo ""
+./test6 $TESTARG
+
+# Rename and Link test
+echo ""
+if [ "$HARDLINKS"o != no ]
+then
+ ./test7 $TESTARG
+else
+ ./test7a $TESTARG
+fi
+# Link Test
+# echo ""
+# ./test7b $TESTARG
+
+# Symlink and readlink test
+echo ""
+./test8 $TESTARG
+
+# Getfs test
+echo ""
+./test9 $TESTARG
+
+echo ""
+
+echo "Congratulations, you passed the basic tests!"
+
+exit 0